> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# listWorkspaceMembers

> Lists all the members in a workspace



## OpenAPI

````yaml /admin-openapi.json get /v1/admin/workspace-members
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspace-members:
    get:
      tags:
        - Endpoints
      description: Lists all the members in a workspace
      operationId: listWorkspaceMembers
      parameters:
        - name: nextToken
          in: query
          description: >-
            Provide the `meta.nextToken` value provided in the last API response
            to retrieve the next page of results
          schema:
            type: string
        - name: pageSize
          in: query
          description: Number of items to return per page (default 20, max 100)
          schema:
            type: integer
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/listWorkspaceMembersResponse'
        default:
          $ref: '#/components/responses/listWorkspaceMembersResponse'
components:
  responses:
    listWorkspaceMembersResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              members:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    userId:
                      type: string
                      format: uuid
                    email:
                      type: string
                    createdAt:
                      type: string
                    role:
                      type: string
                      enum:
                        - viewer
                        - billing
                        - developer
                        - manager
                        - administrator
                        - owner
                    profilePicture:
                      type: string
                    displayName:
                      type: string
                      maxLength: 100
                  required:
                    - id
                    - email
                    - createdAt
                    - role
              meta:
                type: object
                properties:
                  nextToken:
                    type: string
                    description: >-
                      The token to use to retrieve the next page of results,
                      passed as a query string parameter (value should be
                      URL-encoded) to this API endpoint.
                additionalProperties: false
            required:
              - members
              - meta
            title: listWorkspaceMembersResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````